Name:           python-mod9-asr
Version:        1.11.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Mod9 ASR Python SDK, REST API, and Websocket Interface: high-level interfaces to the Mod9 ASR Engine.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mod9-asr/python-sdk
Source:         %{pypi_source mod9-asr}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mod9-asr' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mod9-asr
Summary:        %{summary}

%description -n python3-mod9-asr %_description


%prep
%autosetup -p1 -n mod9-asr-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mod9-asr -f %{pyproject_files}


%changelog
%autochangelog